/* $Id: kplunger.h,v 1.7 1999/12/01 17:35:41 waba Exp $ */

#ifdef __cplusplus
#ifdef MEM_DEBUG
#ifndef _NEW_ASJ_H
#define _NEW_ASJ_H
#include <stdlib.h>

void* operator new(size_t sizeofX, const char *id);
void* operator new(size_t sizeofX);
void* operator new[](size_t sizeofX);
void* operator new[](size_t sizeofX, const char *id);
void operator delete(void *p);
void operator delete[](void *p);

#endif
#endif

#ifndef MEM_DEBUG
#ifndef _NEW_ASJ_H
#define _NEW_ASJ_H
#include <stdlib.h>

inline void* operator new(size_t sizeofX, const char *) { return operator new(sizeofX); }
inline void* operator new[](size_t sizeofX, const char *) { return operator new[](sizeofX); }
#endif
#endif
#endif

